Package Details: ivpn-git 2.12.3.r0.025fdcd-1

Git Clone URL: https://aur.archlinux.org/ivpn-git.git (read-only, click to copy)
Package Base: ivpn-git
Description: IVPN command line interface
Upstream URL: https://ivpn.net
Licenses: GPL
Provides: ivpn-git
Submitter: gaalcaras
Maintainer: gaalcaras
Last Packager: gaalcaras
Votes: 2
Popularity: 0.002335
First Submitted: 2020-06-16 18:49
Last Updated: 2020-06-16 18:49

Latest Comments

stenya commented on 2020-11-27 22:23

Hi @gaalcaras

the official IVPN packages are available on AUR: https://aur.archlinux.org/packages/ivpn/ https://aur.archlinux.org/packages/ivpn-ui/

You can take it as an example to update this git-based package. There are unnecessary dependencies from: 'fpm' and 'rpm-tools'. One required dependency is missing: 'wireless_tools'.

thibaultmol commented on 2020-10-25 19:07

The "wireless_tools" also seemed required to install this package.

Otherwise I got this error (technically on manjaro, but would expect arch to have the same problem):

# github.com/ivpn/desktop-app-daemon/wifiNotifier

In file included from wifiNotifier/wifiNotifier_linux.go:13:

./iwlib_2_linux.c:7:10: fatal error: iwlib.h: No such file or directory

7 | #include <iwlib.h> // sudo apt-get install libiw-dev

  |          ^~~~~~~~~

compilation terminated.

==> ERROR: A failure occurred in build().

Aborting...

error making: ivpn-git